## netifyd 4.2.2-1

=== deploy/rpm/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# deploy/rpm/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Netify Agent RPM Automake File
# Copyright (C) 2022 eGloo Incorporated

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/netifyd
pkgincludedir = $(includedir)/netifyd
pkglibdir = $(libdir)/netifyd
pkglibexecdir = $(libexecdir)/netifyd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = deploy/rpm
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/ax_pkg_installdir.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_0x.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' automake-1.16
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
GIT_LAST_COMMIT_DATE = 
GIT_LAST_COMMIT_HASH = 
GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
GREP = /usr/bin/grep
HAVE_CXX11 = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -ll 
LEX_OUTPUT_ROOT = lex.yy
LIBCURL_CFLAGS = -I/usr/include/x86_64-linux-gnu
LIBCURL_LIBS = -lcurl
LIBJEMALLOC_CFLAGS = 
LIBJEMALLOC_LIBS = 
LIBMNL_CFLAGS = 
LIBMNL_LIBS = -lmnl
LIBNETFILTER_CONNTRACK_CFLAGS = 
LIBNETFILTER_CONNTRACK_LIBS = -lnetfilter_conntrack -lnfnetlink
LIBOBJS = 
LIBS = -ldl -lresolv -lrt -lpthread -lpcap 
LIBTCMALLOC_CFLAGS = 
LIBTCMALLOC_LIBS = -ltcmalloc_minimal
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
ND_DEFINES =  -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
ND_PATH_BASH = /usr/bin/bash
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = netifyd
PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
PACKAGE_NAME = Netify Agent
PACKAGE_STRING = Netify Agent 4.2.2
PACKAGE_TARNAME = netifyd
PACKAGE_URL = https://www.netify.ai/
PACKAGE_VERSION = 4.2.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 4.2.2
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /builds/netify.ai/public/netify-agent/deploy/rpm
abs_srcdir = /builds/netify.ai/public/netify-agent/deploy/rpm
abs_top_builddir = /builds/netify.ai/public/netify-agent
abs_top_srcdir = /builds/netify.ai/public/netify-agent
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bash = /usr/bin/bash
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/netify.ai/public/netify-agent/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
osc = 
pdfdir = ${docdir}
persistentstatedir = /etc/netify.d
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  libs/inih libs/ndpi
sysconfdir = /etc
systemdsystemunitdir = /lib/systemd/system
target_alias = 
tmpfilesdir = /usr/lib/tmpfiles.d
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
volatilestatedir = /var/run/netifyd
RPMFILES = netifyd.spec
RPMFILES_IN = netifyd.spec.in
BUILT_SOURCES = $(RPMFILES)
CLEANFILES = $(RPMFILES)
EXTRA_DIST = $(RPMFILES_IN)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu deploy/rpm/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu deploy/rpm/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \

=== libs/mpack/test/fuzz/Makefile ===
# This Makefile currently just builds fuzz.c into a fuzzer for use with
# american fuzzy lop. Don't use this directly; use tools/afl.sh to fuzz MPack.

ifeq (Makefile, $(firstword $(MAKEFILE_LIST)))
$(error The current directory should be the root of the repository. Try "cd ../.." and then "make -f test/fuzz/Makefile")
endif

CC=afl-gcc

CPPFLAGS := $(CPPFLAGS) \
	-include test/fuzz/fuzz-config.h \
	-Isrc \
	-O0 -DDEBUG -g \
	-MMD -MP \

BUILD := .build/fuzz
PROG := mpack-fuzz

SRCS := \
	$(shell find src/ -type f -name '*.c') \
	test/fuzz/fuzz.c

OBJS := $(patsubst %, $(BUILD)/%.o, $(SRCS))

GLOBAL_DEPENDENCIES := test/fuzz/Makefile

.PHONY: all
all: $(PROG)

-include $(patsubst %, $(BUILD)/%.d, $(SRCS))

.PHONY: $(PROG)
$(PROG): $(BUILD)/$(PROG)

$(OBJS): $(BUILD)/%.o: % $(GLOBAL_DEPENDENCIES)
	@mkdir -p $(dir $@)
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

$(BUILD)/$(PROG): $(OBJS)
	@mkdir -p $(dir $@)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)

=== libs/ndpi/packages/openwrt/Makefile ===
#
# Copyright (C) 2017 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=libndpi
PKG_VERSION:=4.0
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://codeload.github.com/ntop/nDPI/tar.gz/$(PKG_VERSION)?
PKG_HASH:=dc9b291c7fde94edb45fb0f222e0d93c93f8d6d37f4efba20ebd9c655bfcedf9
PKG_BUILD_DIR:=$(BUILD_DIR)/nDPI-$(PKG_VERSION)

PKG_MAINTAINER:=Banglang Huang <banglang.huang@foxmail.com>, Toni Uhlig <matzeton@googlemail.com>
PKG_LICENSE:=LGPL-3.0-or-later
PKG_LICENSE_FILES:=COPYING

PKG_FIXUP:=autoreconf
PKG_REMOVE_FILES:=autogen.sh
PKG_BUILD_DEPENDS:=libpcap
PKG_BUILD_PARALLEL:=1

include $(INCLUDE_DIR)/uclibc++.mk
include $(INCLUDE_DIR)/package.mk

ifneq ($(CONFIG_LIBNDPI_GCRYPT),)
CONFIGURE_ARGS += --with-local-libgcrypt
endif

define Package/libndpi
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=Library for deep-packet inspection
  URL:=https://github.com/ntop/nDPI
  DEPENDS:=$(CXX_DEPENDS) +LIBNDPI_GCRYPT:libgcrypt +libpcap +libjson-c
endef

define Package/libndpi/description
  nDPI is an open source LGPLv3 library for deep-packet inspection.
  Based on OpenDPI it includes ntop extensions.
endef

define Package/libndpi/config
config LIBNDPI_GCRYPT
	bool "Use external libgcrypt"
	depends on PACKAGE_libndpi
	default n
	help
	  This option enables QUIC client hello decryption through
	  an external libgcrypt instead of a lightweight builtin version.
	  Disabled by default.
endef

define Build/Prepare
	$(PKG_UNPACK)
	$(Build/Patch)
endef

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include/ndpi
	$(CP) $(PKG_BUILD_DIR)/src/include/*.h \
		$(1)/usr/include/ndpi/

	$(INSTALL_DIR) $(1)/usr/lib
	$(CP) $(PKG_BUILD_DIR)/src/lib/libndpi.so* \
		$(1)/usr/lib/

	$(INSTALL_DIR) $(1)/usr/lib/pkgconfig
	$(CP) $(PKG_BUILD_DIR)/libndpi.pc \
		$(1)/usr/lib/pkgconfig/
endef

define Package/libndpi/install
	$(INSTALL_DIR) $(1)/usr/lib/
	$(CP) $(PKG_BUILD_DIR)/src/lib/libndpi.so* \
		$(1)/usr/lib/
	$(INSTALL_DIR) $(1)/usr/bin/
	$(CP) $(PKG_BUILD_DIR)/example/ndpiReader \
		$(1)/usr/bin/
endef

$(eval $(call BuildPackage,libndpi))

=== debian/changelog ===
netifyd (4.2.2-1) stable; urgency=low

  * Initial Release

 -- Darryl Sokoloski <darryl@egloo.ca>  Sun, 01 Jan 2017 00:00:00 +0100

=== libs/ndpi/packages/ubuntu/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package=ndpi

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_prep
	#dh_clean -k
	dh_installdirs
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	mkdir -p ./debian/ndpi ./debian/ndpi-dev
	cp -r ./debian/ndpi-tmp/*     ./debian/ndpi/
	cp -r ./debian/ndpi-dev-tmp/* ./debian/ndpi-dev/
	-find ./debian/ndpi -executable -type f | xargs strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netifyd 4.2.5-1

=== deploy/rpm/Makefile ===
--- 
+++ 
@@ -206,10 +206,10 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.2.2
+PACKAGE_STRING = Netify Agent 4.2.5
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.2.2
+PACKAGE_VERSION = 4.2.5
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -219,7 +219,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.2.2
+VERSION = 4.2.5
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS =

=== debian/changelog ===
netifyd (4.2.5-1) stable; urgency=low

  * Initial Release

 -- Darryl Sokoloski <darryl@egloo.ca>  Sun, 01 Jan 2017 00:00:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS+=-O0
else
CFLAGS+=-O2
endif

# Build destination directory
export DESTDIR=debian/netifyd


%:
	dh $@


override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_install:
	dh_install

	rm -rf $(DESTDIR)/usr/bin

	install -d -m 0755 $(DESTDIR)/var/run/netifyd
	install -d -m 0755 $(DESTDIR)/etc/netify.d

	rm -f $(DESTDIR)/etc/netify.d/netify-sink.conf

	chmod a+x $(DESTDIR)/usr/share/netifyd/*.sh

	dh_systemd_enable

	install -D -m 0755 deploy/debian/debian.init \
		$(DESTDIR)/etc/init.d/netifyd

	dh_systemd_start

	install -D -m 0644 deploy/netifyd.default \
		$(DESTDIR)/etc/default/netifyd

## netifyd 4.4.0-1

=== debian/Makefile ===
# Makefile.in generated by automake 1.16.3 from Makefile.am.
# deploy/debian/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Netify Agent Debian Package Automake File
# Copyright (C) 2016-2022 eGloo Incorporated
#
# This is free software, licensed under the GNU General Public License v3.

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/netifyd
pkgincludedir = $(includedir)/netifyd
pkglibdir = $(libdir)/netifyd
pkglibexecdir = $(libexecdir)/netifyd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64-unknown-linux-gnu
host_triplet = aarch64-unknown-linux-gnu
subdir = deploy/debian
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/ax_pkg_installdir.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_0x.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' automake-1.16
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GIT_LAST_COMMIT_DATE = 
GIT_LAST_COMMIT_HASH = 
GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
GREP = /bin/grep
HAVE_CXX11 = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBCURL_CFLAGS = -I/usr/include/aarch64-linux-gnu
LIBCURL_LIBS = -lcurl
LIBJEMALLOC_CFLAGS = 
LIBJEMALLOC_LIBS = 
LIBMNL_CFLAGS = 
LIBMNL_LIBS = -lmnl
LIBNETFILTER_CONNTRACK_CFLAGS = 
LIBNETFILTER_CONNTRACK_LIBS = -lnetfilter_conntrack -lnfnetlink
LIBOBJS = 
LIBS = -ldl -lresolv -lpcap -lrt -lpthread 
LIBTCMALLOC_CFLAGS = 
LIBTCMALLOC_LIBS = -ltcmalloc_minimal
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
ND_DEFINES =  -D_ND_USE_LIBPCAP=1 -D_ND_USE_TPACKETV3=1 -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
ND_PATH_BASH = /bin/bash
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = netifyd
PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
PACKAGE_NAME = Netify Agent
PACKAGE_STRING = Netify Agent 4.4.0
PACKAGE_TARNAME = netifyd
PACKAGE_URL = https://www.netify.ai/
PACKAGE_VERSION = 4.4.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 4.4.0
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /builds/netify.ai/public/netify-agent/deploy/debian
abs_srcdir = /builds/netify.ai/public/netify-agent/deploy/debian
abs_top_builddir = /builds/netify.ai/public/netify-agent
abs_top_srcdir = /builds/netify.ai/public/netify-agent
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bash = /bin/bash
bindir = ${exec_prefix}/bin
build = aarch64-unknown-linux-gnu
build_alias = 
build_cpu = aarch64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = aarch64-unknown-linux-gnu
host_alias = 
host_cpu = aarch64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/netify.ai/public/netify-agent/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
osc = 
pdfdir = ${docdir}
persistentstatedir = /etc/netify.d
pkgconfigdir = ${libdir}/pkgconfig
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  libs/inih libs/ndpi
sysconfdir = /etc
systemdsystemunitdir = /lib/systemd/system
target_alias = 
tmpfilesdir = /usr/lib/tmpfiles.d
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
volatilestatedir = /var/run/netifyd
DEBFILES = changelog control conffiles debian.init rules $(PACKAGE_TARNAME).install $(PACKAGE_TARNAME)-dev.install
DEBFILES_IN = changelog.in control.in debian.init.in conffiles.in rules.in $(PACKAGE_TARNAME).install.in $(PACKAGE_TARNAME)-dev.install.in
BUILT_SOURCES = $(DEBFILES)
CLEANFILES = $(DEBFILES)
EXTRA_DIST = $(DEBFILES_IN)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu deploy/debian/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu deploy/debian/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-am

=== deploy/rpm/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.5 from Makefile.am.
+# Makefile.in generated by automake 1.16.3 from Makefile.am.
 # deploy/rpm/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2021 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -88,8 +88,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-pc-linux-gnu
-host_triplet = x86_64-pc-linux-gnu
+build_triplet = aarch64-unknown-linux-gnu
+host_triplet = aarch64-unknown-linux-gnu
 subdir = deploy/rpm
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -141,8 +141,6 @@
 CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
-CSCOPE = cscope
-CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -156,26 +154,25 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
-ETAGS = etags
+EGREP = /bin/grep -E
 EXEEXT = 
-FGREP = /usr/bin/grep -F
+FGREP = /bin/grep -F
 GIT_LAST_COMMIT_DATE = 
 GIT_LAST_COMMIT_HASH = 
 GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
-GREP = /usr/bin/grep
+GREP = /bin/grep
 HAVE_CXX11 = 1
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld -m elf_x86_64
+LD = /usr/bin/ld
 LDFLAGS = 
 LEX = flex
-LEXLIB = -ll 
+LEXLIB = -lfl
 LEX_OUTPUT_ROOT = lex.yy
-LIBCURL_CFLAGS = -I/usr/include/x86_64-linux-gnu
+LIBCURL_CFLAGS = -I/usr/include/aarch64-linux-gnu
 LIBCURL_LIBS = -lcurl
 LIBJEMALLOC_CFLAGS = 
 LIBJEMALLOC_LIBS = 
@@ -184,7 +181,7 @@
 LIBNETFILTER_CONNTRACK_CFLAGS = 
 LIBNETFILTER_CONNTRACK_LIBS = -lnetfilter_conntrack -lnfnetlink
 LIBOBJS = 
-LIBS = -ldl -lresolv -lrt -lpthread -lpcap 
+LIBS = -ldl -lresolv -lpcap -lrt -lpthread 
 LIBTCMALLOC_CFLAGS = 
 LIBTCMALLOC_LIBS = -ltcmalloc_minimal
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -194,9 +191,9 @@
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /usr/bin/mkdir -p
-ND_DEFINES =  -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
-ND_PATH_BASH = /usr/bin/bash
+MKDIR_P = /bin/mkdir -p
+ND_DEFINES =  -D_ND_USE_LIBPCAP=1 -D_ND_USE_TPACKETV3=1 -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
+ND_PATH_BASH = /bin/bash
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -206,20 +203,20 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.2.5
+PACKAGE_STRING = Netify Agent 4.4.0
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.2.5
+PACKAGE_VERSION = 4.4.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.2.5
+VERSION = 4.4.0
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS = 
@@ -237,24 +234,24 @@
 am__quote = 
 am__tar = tar --format=posix -chf - "$$tardir"
 am__untar = tar -xf -
-bash = /usr/bin/bash
+bash = /bin/bash
 bindir = ${exec_prefix}/bin
-build = x86_64-pc-linux-gnu
+build = aarch64-unknown-linux-gnu
 build_alias = 
-build_cpu = x86_64
+build_cpu = aarch64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-pc-linux-gnu
+host = aarch64-unknown-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = aarch64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -335,6 +332,7 @@
 ctags CTAGS:
 
 cscope cscopelist:
+
 
 distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am

=== debian/changelog ===
netifyd (4.4.0-1) stable; urgency=low

  * Initial Release

 -- Darryl Sokoloski <darryl@egloo.ca>  Sun, 01 Jan 2017 00:00:00 +0100

## netifyd 4.4.1-1

=== debian/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.3 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # deploy/debian/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -90,8 +90,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-unknown-linux-gnu
-host_triplet = aarch64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = deploy/debian
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -143,6 +143,8 @@
 CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
+CSCOPE = cscope
+CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -156,25 +158,26 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
-FGREP = /bin/grep -F
+FGREP = /usr/bin/grep -F
 GIT_LAST_COMMIT_DATE = 
 GIT_LAST_COMMIT_HASH = 
 GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
-GREP = /bin/grep
+GREP = /usr/bin/grep
 HAVE_CXX11 = 1
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LEX = flex
-LEXLIB = -lfl
+LEXLIB = -ll 
 LEX_OUTPUT_ROOT = lex.yy
-LIBCURL_CFLAGS = -I/usr/include/aarch64-linux-gnu
+LIBCURL_CFLAGS = -I/usr/include/x86_64-linux-gnu
 LIBCURL_LIBS = -lcurl
 LIBJEMALLOC_CFLAGS = 
 LIBJEMALLOC_LIBS = 
@@ -193,9 +196,9 @@
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 ND_DEFINES =  -D_ND_USE_LIBPCAP=1 -D_ND_USE_TPACKETV3=1 -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
-ND_PATH_BASH = /bin/bash
+ND_PATH_BASH = /usr/bin/bash
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -205,20 +208,20 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.4.0
+PACKAGE_STRING = Netify Agent 4.4.1
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.4.0
+PACKAGE_VERSION = 4.4.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.4.0
+VERSION = 4.4.1
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS = 
@@ -236,24 +239,24 @@
 am__quote = 
 am__tar = tar --format=posix -chf - "$$tardir"
 am__untar = tar -xf -
-bash = /bin/bash
+bash = /usr/bin/bash
 bindir = ${exec_prefix}/bin
-build = aarch64-unknown-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = aarch64-unknown-linux-gnu
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -335,7 +338,6 @@
 
 cscope cscopelist:
 
-
 distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 
@@ -377,4 +379,3 @@
 install: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) install-am
 install-exec: $(BUILT_SOURCES)
-	$(MAKE) $(AM_MAKEFLAGS) install-exec-am

=== deploy/rpm/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.3 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # deploy/rpm/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -88,8 +88,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-unknown-linux-gnu
-host_triplet = aarch64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = deploy/rpm
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -141,6 +141,8 @@
 CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
+CSCOPE = cscope
+CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -154,25 +156,26 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
-FGREP = /bin/grep -F
+FGREP = /usr/bin/grep -F
 GIT_LAST_COMMIT_DATE = 
 GIT_LAST_COMMIT_HASH = 
 GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
-GREP = /bin/grep
+GREP = /usr/bin/grep
 HAVE_CXX11 = 1
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LEX = flex
-LEXLIB = -lfl
+LEXLIB = -ll 
 LEX_OUTPUT_ROOT = lex.yy
-LIBCURL_CFLAGS = -I/usr/include/aarch64-linux-gnu
+LIBCURL_CFLAGS = -I/usr/include/x86_64-linux-gnu
 LIBCURL_LIBS = -lcurl
 LIBJEMALLOC_CFLAGS = 
 LIBJEMALLOC_LIBS = 
@@ -191,9 +194,9 @@
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 ND_DEFINES =  -D_ND_USE_LIBPCAP=1 -D_ND_USE_TPACKETV3=1 -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
-ND_PATH_BASH = /bin/bash
+ND_PATH_BASH = /usr/bin/bash
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -203,20 +206,20 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.4.0
+PACKAGE_STRING = Netify Agent 4.4.1
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.4.0
+PACKAGE_VERSION = 4.4.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.4.0
+VERSION = 4.4.1
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS = 
@@ -234,24 +237,24 @@
 am__quote = 
 am__tar = tar --format=posix -chf - "$$tardir"
 am__untar = tar -xf -
-bash = /bin/bash
+bash = /usr/bin/bash
 bindir = ${exec_prefix}/bin
-build = aarch64-unknown-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = aarch64-unknown-linux-gnu
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -332,7 +335,6 @@
 ctags CTAGS:
 
 cscope cscopelist:
-
 
 distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
@@ -385,4 +387,3 @@
 installcheck: installcheck-am
 install-strip:
 	if test -z '$(STRIP)'; then \
-	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \

=== libs/mpack/test/avr/Makefile ===
# This builds MPack and its test suite with avr-gcc for AVR (e.g. Arduino.)
# It doesn't actually work yet; in fact it doesn't link because the resulting
# code is way too big. But it does actually compile all the source files at
# least. Eventually it would be nice to trim the unit test suite down into
# something that could run on an Arduino. It would also be nice to set up some
# wrapper scripts to make it run under simavr so we can run it on CI builds.

# Requires avr-gcc and avr-libc (even though it builds with MPACK_STDLIB
# disabled) since avr-libc has stdint.h and friends.

ifeq (Makefile, $(firstword $(MAKEFILE_LIST)))
$(error The current directory should be the root of the repository. Try "cd ../.." and then "make -f test/avr/Makefile")
endif

CC=avr-gcc
BUILD := .build/avr
PROG := mpack-avr

CPPFLAGS := -Isrc -Itest/unit/src -DMPACK_HAS_CONFIG=1
CFLAGS := \
		-Os -DNDEBUG \
		-Wall -Wextra -Wpedantic -Werror \
		-MMD -MP

SRCS := \
	$(shell find src/ -type f -name '*.c') \
	$(wildcard test/test*.c)

OBJS := $(patsubst %, $(BUILD)/%.o, $(SRCS))

GLOBAL_DEPENDENCIES := test/avr/Makefile

.PHONY: all
all: $(PROG)

.PHONY: clean
clean:
	rm -rf $(BUILD)

-include $(patsubst %, $(BUILD)/%.d, $(SRCS))

.PHONY: $(PROG)
$(PROG): $(BUILD)/$(PROG)

$(OBJS): $(BUILD)/%.o: % $(GLOBAL_DEPENDENCIES)
	@mkdir -p $(dir $@)
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

$(BUILD)/$(PROG): $(OBJS)
	@mkdir -p $(dir $@)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
netifyd (4.4.1-1) stable; urgency=low

  * Initial Release

 -- Darryl Sokoloski <darryl@egloo.ca>  Sun, 01 Jan 2017 00:00:00 +0100

=== debian/control ===
Source: netifyd
Section: net
Priority: optional
Maintainer: Darryl Sokoloski <darryl@egloo.ca>
Build-Depends: debhelper (>= 9), systemd, autoconf, automake, bc, build-essential, libcurl4-openssl-dev, libmnl-dev, libncurses5-dev, libnetfilter-conntrack-dev, libpcap-dev, libtool, zlib1g-dev, libtcmalloc-minimal4

Package: netifyd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Netify Agent
 The Netify (https://www.netify.ai/) Agent is a deep-packet inspection server.  The Agent is built on top of nDPI (http://www.ntop.org/products/deep-packet-inspection/ndpi/) (formerly OpenDPI) to detect network protocols and applications.  These detections can be saved locally, served over a UNIX or TCP socket, and/or "pushed" (via HTTP POSTs) to a remote third-party server.  Flow metadata, network statistics, and detection classifications are stored using JSON encoding.
 Optionally, the Netify Agent can be coupled with a Netify Cloud (https://www.netify.ai/) subscription for further cloud processing, historical storage, machine-learning analysis, event notifications, device detection/identification, along with the option (on supported platforms) to take an active role in policing/bandwidth-shaping specific network protocols and applications.
 Report bugs to: https://gitlab.com/netify.ai/public/netify-agent/issues

Package: netifyd-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, netifyd (= ${binary:Version})
Description: Netify Agent development package
 The Netify (https://www.netify.ai/) Agent is a deep-packet inspection server.  The Agent is built on top of nDPI (http://www.ntop.org/products/deep-packet-inspection/ndpi/) (formerly OpenDPI) to detect network protocols and applications.  These detections can be saved locally, served over a UNIX or TCP socket, and/or "pushed" (via HTTP POSTs) to a remote third-party server.  Flow metadata, network statistics, and detection classifications are stored using JSON encoding.
 Optionally, the Netify Agent can be coupled with a Netify Cloud (https://www.netify.ai/) subscription for further cloud processing, historical storage, machine-learning analysis, event notifications, device detection/identification, along with the option (on supported platforms) to take an active role in policing/bandwidth-shaping specific network protocols and applications.
 Report bugs to: https://gitlab.com/netify.ai/public/netify-agent/issues

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-CFLAGS=-g
+CFLAGS=-g -pipe
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS+=-O0
 else
@@ -12,7 +12,7 @@
 
 
 %:
-	dh $@
+	dh $@ --parallel
 
 
 override_dh_auto_test:
